#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

bool is_valid(vector<int> a) {
    long long sum = a[0];
    set<long long> sums = {sum};
    for (int i = 1; i < a.size(); i++) {
        sum += a[i];
        if (sums.count(sum)) {
            return false;
        }
    }
    return true;
}

int main(int argc, char **argv) {
    registerValidation();
    inf.strict = false;
    int n = inf.readInt(2, 100000, "N");
    inf.readEoln();
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        a[i] = inf.readInt(-1000000000, 1000000000, "a[i]");
    }
    ensuref(is_valid(a), "a shouldn't have similar prefix sums");
    if (!inf.seekEoln()) {
        inf.readSpace();
    }
    inf.readEoln();
    inf.readEof();
    return 0;
}
